; HEADER 

sr = 44100
kr = 44100
ksmps = 1
nchnls = 1

; GLOBAL VARIABLES

0dbfs   = 8388607 ; 24 bits




;INSTRUMENTS

;==============
instr 1
;==============


idur		= p3
iamp 	= (p4 > 0.0 ? (p4*0.001*0dbfs) : (ampdbfs (p4)))
ifq		= p5
iran_fq	= p6
imindec	= 0.01 ; minimum allowed decay
iatk	= p7
idec	= p8
idec	= (((iatk+idec)>idur) ? idur-iatk : idec)

if idec > imindec goto goon
; very short duration
iatk = idur/2
idec = idur/2
goon:
iaudiofun	= 1

;OUTBEG
;OUTEND

kenv  	linen    iamp, iatk, idur, idec		; envelope
kran  	randi    kenv, iran_fq				; random numbers
asound	poscil   kran, ifq, iaudiofun		; applied to amplitude slot

;OUTBEG
out      asound
;OUTEND


endin

