; HEADER 

sr = 44100
kr = 44100
ksmps = 1
nchnls = 1

; GLOBAL VARIABLES

0dbfs   = 8388607 ; 24 bits




;INSTRUMENTS

;==============
instr 1
;==============

idur   	= p3
idurosc	= 1/p3
iamp 	= (p4 > 0.0 ? (p4*0.001*0dbfs) : (ampdbfs (p4)))
if0 	= p5
ifreq	= p6
ibw 	= p7
iaenv	= p8
iwxin	= p9
iwxdur	= p10
iwxout	= p11
ioct	= p12
imode	= 0

iolaps	= 100000 ; how many simultaneous FOFs can be played (takes little memory if not used)
iphs	= 0
iskip	= 0

iafun	= 4
isigfun	= 19
;OUTBEG
;OUTEND

kenv	poscil	iamp, idurosc, iaenv

;          	xamp  xf0 xform  koct	 kband kris   kdur    kdec   iolaps   ifna   ifnb
asig fof	1.0, if0,  ifreq, ioct,  ibw, iwxin, iwxdur, iwxout, iolaps, iafun, isigfun, idur, iphs, imode, iskip
asound	=	asig*kenv

;OUTBEG
outc     asound
;OUTEND


endin

