; HEADER 

sr = 44100
kr = 44100
ksmps = 1
nchnls = 1

; GLOBAL VARIABLES

0dbfs   = 8388607 ; 24 bits




;INSTRUMENTS

;==============
instr 1
;==============


idur		=  p3
idurosc		= 1/idur
isin_amp	= (p4 > 0.0 ? (p4*0.001*0dbfs) : (ampdbfs (p4)))
if0			=  p5
inh_amp		=  (p6 > 0.0 ? (p6*0.001*0dbfs) : (ampdbfs (p6)))
iran_amp	=  (p7 > 0.0 ? (p7*0.001*0dbfs) : (ampdbfs (p7)))
iran_cfq	=  p8
iran_bw		=  p9
iranfun		=  11
inhfun		=  12
iaudiofun	=  13
islowenv	=  21
ifastenv	=  22
;OUTBEG
;OUTEND

; noise
a4     rand    iran_amp, iran_bw
a5     poscil  a4, idurosc, ifastenv
a6     poscil  a5, iran_cfq, iranfun

; pseudo-inharmonic spectrum
a3     poscil  iran_amp, idurosc, ifastenv
a4     poscil  a3, if0, inhfun

; sine tone
a1     oscili  isin_amp, idurosc, islowenv
a2     poscil  a1, if0, iaudiofun

asound	= a2+a4+a6

;OUTBEG
out     asound
;OUTEND


endin

