; HEADER 

sr = 44100
kr = 44100
ksmps = 1
nchnls = 1

; GLOBAL VARIABLES

0dbfs   = 8388607 ; 24 bits




;INSTRUMENTS

;==============
instr 1
;==============

idur		= p3
idurosc		= 1/p3
iamp 		= (p4 > 0.0 ? (p4*0.001*0dbfs) : (ampdbfs (p4)))
ifq		= p5
iaenv		= p6
inn		= sr/2/ifq			; total possible number of harmonics present
inn		= int (inn * p8)	; % of possible total
ilh		= p7				; lowest harmonic present
ifn		= 5					; stored cosine function
ibzmul		= p9			; multiplier
ibzmenv		= p10			; envelope for the multiplier
;OUTBEG
;OUTEND


kenv		poscil	iamp, idurosc, iaenv		; amp envelope
kratio	poscil	ibzmul, idurosc, ibzmenv	; kratio envelope

asound    gbuzz   kenv,ifq,inn,ilh,kratio,ifn

;OUTBEG
out     asound
;OUTEND


endin

