; HEADER 

sr = 44100
kr = 44100
ksmps = 1
nchnls = 1

; GLOBAL VARIABLES

0dbfs   = 8388607 ; 24 bits




;INSTRUMENTS

;==============
instr 1
;==============

idur   	= p3
idurosc	= 1/p3
iamp	= (p4 > 0.0 ? (p4*0.001*0dbfs) : (ampdbfs (p4)))
if0 	= p5
ifreq	= p6
ibw 	= p7
iaenv	= p8
iolaps	= 100000 ; how many simultaneous FOFs can be played (takes little memory if not used)

; fixed values for vocal synthesis
iris	= 0.003
idebatt	= 0.02
iatten	= 0.007
iafun	= 4
isigfun	= 19
;OUTBEG
;OUTEND

kenv	poscil	iamp, idurosc, iaenv

;             	              koct                       			ifna    idur
;          	xamp  xfund xform     kband kris  kdur kdec iolaps   ifnb
asound fof     1.0, if0,  ifreq, 0,  ibw, iris, idebatt, iatten, iolaps, iafun, isigfun, idur


;OUTBEG
outc     asound*kenv
;OUTEND


endin

